{% load_banners position: position limit: 3 %}

{% if loaded_banners.size > 0 %}
<section class="section container reviews">

  {% for banner in loaded_banners %}
    {% if banner.file_url != blank or banner.subtitle != blank or banner.description != blank %}
      <div class="review">

        {% if banner.file_url != blank %}
          <figure class="image -square">
            <img class="lazy" loading="lazy" data-src="{{ banner.file_url | resize: '240x' }}" alt="{{ banner.title }}">
          </figure>
        {% endif %}

        {% if banner.subtitle != blank or banner.description != blank %}
          <div class="text">

            {% if banner.subtitle != blank and banner.subtitle contains '|' %}
              {% assign persons_name = banner.subtitle | split: '|' | first %}
              {% assign job_position = banner.subtitle | split: '|' | last %}
            {% endif %}

            {% if persons_name %}
              <h3 class="name">
                {{ persons_name | default: banner.subtitle }}
              </h3>
            {% endif %}

            {% if job_position %}
              <span class="job-position">
                {{ job_position }}
              </span>
            {% endif %}

            {% if banner.description != blank %}
              <div class="description">
                {{ banner.description }}
              </div>
            {% endif %}

          </div>
        {% endif %}

      </div>
    {% endif %}
  {% endfor %}

</section>
{% endif %}
